=head1 NAME

Gtk2::enums - enumeration and flag values for Gtk2

=head1 DESCRIPTION

Just a listing of all enum and flags types defined for Gtk2, in one place
for convenience.  For more information, see the description of flags and
enums in L<Glib>.

=head1 LISTING

=head2 enum Gtk2::Gdk::AxisUse

=over

=item * 'ignore' / 'GDK_AXIS_IGNORE'

=item * 'x' / 'GDK_AXIS_X'

=item * 'y' / 'GDK_AXIS_Y'

=item * 'pressure' / 'GDK_AXIS_PRESSURE'

=item * 'xtilt' / 'GDK_AXIS_XTILT'

=item * 'ytilt' / 'GDK_AXIS_YTILT'

=item * 'wheel' / 'GDK_AXIS_WHEEL'

=item * 'last' / 'GDK_AXIS_LAST'

=back

=head2 enum Gtk2::Gdk::ByteOrder

=over

=item * 'lsb-first' / 'GDK_LSB_FIRST'

=item * 'msb-first' / 'GDK_MSB_FIRST'

=back

=head2 enum Gtk2::Gdk::CapStyle

=over

=item * 'not-last' / 'GDK_CAP_NOT_LAST'

=item * 'butt' / 'GDK_CAP_BUTT'

=item * 'round' / 'GDK_CAP_ROUND'

=item * 'projecting' / 'GDK_CAP_PROJECTING'

=back

=head2 enum Gtk2::Gdk::Colorspace

=over

=item * 'rgb' / 'GDK_COLORSPACE_RGB'

=back

=head2 enum Gtk2::Gdk::CrossingMode

=over

=item * 'normal' / 'GDK_CROSSING_NORMAL'

=item * 'grab' / 'GDK_CROSSING_GRAB'

=item * 'ungrab' / 'GDK_CROSSING_UNGRAB'

=item * 'gtk-grab' / 'GDK_CROSSING_GTK_GRAB'

=item * 'gtk-ungrab' / 'GDK_CROSSING_GTK_UNGRAB'

=item * 'state-changed' / 'GDK_CROSSING_STATE_CHANGED'

=back

=head2 enum Gtk2::Gdk::CursorType

=over

=item * 'x-cursor' / 'GDK_X_CURSOR'

=item * 'arrow' / 'GDK_ARROW'

=item * 'based-arrow-down' / 'GDK_BASED_ARROW_DOWN'

=item * 'based-arrow-up' / 'GDK_BASED_ARROW_UP'

=item * 'boat' / 'GDK_BOAT'

=item * 'bogosity' / 'GDK_BOGOSITY'

=item * 'bottom-left-corner' / 'GDK_BOTTOM_LEFT_CORNER'

=item * 'bottom-right-corner' / 'GDK_BOTTOM_RIGHT_CORNER'

=item * 'bottom-side' / 'GDK_BOTTOM_SIDE'

=item * 'bottom-tee' / 'GDK_BOTTOM_TEE'

=item * 'box-spiral' / 'GDK_BOX_SPIRAL'

=item * 'center-ptr' / 'GDK_CENTER_PTR'

=item * 'circle' / 'GDK_CIRCLE'

=item * 'clock' / 'GDK_CLOCK'

=item * 'coffee-mug' / 'GDK_COFFEE_MUG'

=item * 'cross' / 'GDK_CROSS'

=item * 'cross-reverse' / 'GDK_CROSS_REVERSE'

=item * 'crosshair' / 'GDK_CROSSHAIR'

=item * 'diamond-cross' / 'GDK_DIAMOND_CROSS'

=item * 'dot' / 'GDK_DOT'

=item * 'dotbox' / 'GDK_DOTBOX'

=item * 'double-arrow' / 'GDK_DOUBLE_ARROW'

=item * 'draft-large' / 'GDK_DRAFT_LARGE'

=item * 'draft-small' / 'GDK_DRAFT_SMALL'

=item * 'draped-box' / 'GDK_DRAPED_BOX'

=item * 'exchange' / 'GDK_EXCHANGE'

=item * 'fleur' / 'GDK_FLEUR'

=item * 'gobbler' / 'GDK_GOBBLER'

=item * 'gumby' / 'GDK_GUMBY'

=item * 'hand1' / 'GDK_HAND1'

=item * 'hand2' / 'GDK_HAND2'

=item * 'heart' / 'GDK_HEART'

=item * 'icon' / 'GDK_ICON'

=item * 'iron-cross' / 'GDK_IRON_CROSS'

=item * 'left-ptr' / 'GDK_LEFT_PTR'

=item * 'left-side' / 'GDK_LEFT_SIDE'

=item * 'left-tee' / 'GDK_LEFT_TEE'

=item * 'leftbutton' / 'GDK_LEFTBUTTON'

=item * 'll-angle' / 'GDK_LL_ANGLE'

=item * 'lr-angle' / 'GDK_LR_ANGLE'

=item * 'man' / 'GDK_MAN'

=item * 'middlebutton' / 'GDK_MIDDLEBUTTON'

=item * 'mouse' / 'GDK_MOUSE'

=item * 'pencil' / 'GDK_PENCIL'

=item * 'pirate' / 'GDK_PIRATE'

=item * 'plus' / 'GDK_PLUS'

=item * 'question-arrow' / 'GDK_QUESTION_ARROW'

=item * 'right-ptr' / 'GDK_RIGHT_PTR'

=item * 'right-side' / 'GDK_RIGHT_SIDE'

=item * 'right-tee' / 'GDK_RIGHT_TEE'

=item * 'rightbutton' / 'GDK_RIGHTBUTTON'

=item * 'rtl-logo' / 'GDK_RTL_LOGO'

=item * 'sailboat' / 'GDK_SAILBOAT'

=item * 'sb-down-arrow' / 'GDK_SB_DOWN_ARROW'

=item * 'sb-h-double-arrow' / 'GDK_SB_H_DOUBLE_ARROW'

=item * 'sb-left-arrow' / 'GDK_SB_LEFT_ARROW'

=item * 'sb-right-arrow' / 'GDK_SB_RIGHT_ARROW'

=item * 'sb-up-arrow' / 'GDK_SB_UP_ARROW'

=item * 'sb-v-double-arrow' / 'GDK_SB_V_DOUBLE_ARROW'

=item * 'shuttle' / 'GDK_SHUTTLE'

=item * 'sizing' / 'GDK_SIZING'

=item * 'spider' / 'GDK_SPIDER'

=item * 'spraycan' / 'GDK_SPRAYCAN'

=item * 'star' / 'GDK_STAR'

=item * 'target' / 'GDK_TARGET'

=item * 'tcross' / 'GDK_TCROSS'

=item * 'top-left-arrow' / 'GDK_TOP_LEFT_ARROW'

=item * 'top-left-corner' / 'GDK_TOP_LEFT_CORNER'

=item * 'top-right-corner' / 'GDK_TOP_RIGHT_CORNER'

=item * 'top-side' / 'GDK_TOP_SIDE'

=item * 'top-tee' / 'GDK_TOP_TEE'

=item * 'trek' / 'GDK_TREK'

=item * 'ul-angle' / 'GDK_UL_ANGLE'

=item * 'umbrella' / 'GDK_UMBRELLA'

=item * 'ur-angle' / 'GDK_UR_ANGLE'

=item * 'watch' / 'GDK_WATCH'

=item * 'xterm' / 'GDK_XTERM'

=item * 'last-cursor' / 'GDK_LAST_CURSOR'

=item * 'blank-cursor' / 'GDK_BLANK_CURSOR'

=item * 'cursor-is-pixmap' / 'GDK_CURSOR_IS_PIXMAP'

=back

=head2 flags Gtk2::Gdk::DragAction

=over

=item * 'default' / 'GDK_ACTION_DEFAULT'

=item * 'copy' / 'GDK_ACTION_COPY'

=item * 'move' / 'GDK_ACTION_MOVE'

=item * 'link' / 'GDK_ACTION_LINK'

=item * 'private' / 'GDK_ACTION_PRIVATE'

=item * 'ask' / 'GDK_ACTION_ASK'

=back

=head2 enum Gtk2::Gdk::DragProtocol

=over

=item * 'motif' / 'GDK_DRAG_PROTO_MOTIF'

=item * 'xdnd' / 'GDK_DRAG_PROTO_XDND'

=item * 'rootwin' / 'GDK_DRAG_PROTO_ROOTWIN'

=item * 'none' / 'GDK_DRAG_PROTO_NONE'

=item * 'win32-dropfiles' / 'GDK_DRAG_PROTO_WIN32_DROPFILES'

=item * 'ole2' / 'GDK_DRAG_PROTO_OLE2'

=item * 'local' / 'GDK_DRAG_PROTO_LOCAL'

=back

=head2 flags Gtk2::Gdk::EventMask

=over

=item * 'exposure-mask' / 'GDK_EXPOSURE_MASK'

=item * 'pointer-motion-mask' / 'GDK_POINTER_MOTION_MASK'

=item * 'pointer-motion-hint-mask' / 'GDK_POINTER_MOTION_HINT_MASK'

=item * 'button-motion-mask' / 'GDK_BUTTON_MOTION_MASK'

=item * 'button1-motion-mask' / 'GDK_BUTTON1_MOTION_MASK'

=item * 'button2-motion-mask' / 'GDK_BUTTON2_MOTION_MASK'

=item * 'button3-motion-mask' / 'GDK_BUTTON3_MOTION_MASK'

=item * 'button-press-mask' / 'GDK_BUTTON_PRESS_MASK'

=item * 'button-release-mask' / 'GDK_BUTTON_RELEASE_MASK'

=item * 'key-press-mask' / 'GDK_KEY_PRESS_MASK'

=item * 'key-release-mask' / 'GDK_KEY_RELEASE_MASK'

=item * 'enter-notify-mask' / 'GDK_ENTER_NOTIFY_MASK'

=item * 'leave-notify-mask' / 'GDK_LEAVE_NOTIFY_MASK'

=item * 'focus-change-mask' / 'GDK_FOCUS_CHANGE_MASK'

=item * 'structure-mask' / 'GDK_STRUCTURE_MASK'

=item * 'property-change-mask' / 'GDK_PROPERTY_CHANGE_MASK'

=item * 'visibility-notify-mask' / 'GDK_VISIBILITY_NOTIFY_MASK'

=item * 'proximity-in-mask' / 'GDK_PROXIMITY_IN_MASK'

=item * 'proximity-out-mask' / 'GDK_PROXIMITY_OUT_MASK'

=item * 'substructure-mask' / 'GDK_SUBSTRUCTURE_MASK'

=item * 'scroll-mask' / 'GDK_SCROLL_MASK'

=item * 'all-events-mask' / 'GDK_ALL_EVENTS_MASK'

=back

=head2 enum Gtk2::Gdk::EventType

=over

=item * 'nothing' / 'GDK_NOTHING'

=item * 'delete' / 'GDK_DELETE'

=item * 'destroy' / 'GDK_DESTROY'

=item * 'expose' / 'GDK_EXPOSE'

=item * 'motion-notify' / 'GDK_MOTION_NOTIFY'

=item * 'button-press' / 'GDK_BUTTON_PRESS'

=item * '2button-press' / 'GDK_2BUTTON_PRESS'

=item * '3button-press' / 'GDK_3BUTTON_PRESS'

=item * 'button-release' / 'GDK_BUTTON_RELEASE'

=item * 'key-press' / 'GDK_KEY_PRESS'

=item * 'key-release' / 'GDK_KEY_RELEASE'

=item * 'enter-notify' / 'GDK_ENTER_NOTIFY'

=item * 'leave-notify' / 'GDK_LEAVE_NOTIFY'

=item * 'focus-change' / 'GDK_FOCUS_CHANGE'

=item * 'configure' / 'GDK_CONFIGURE'

=item * 'map' / 'GDK_MAP'

=item * 'unmap' / 'GDK_UNMAP'

=item * 'property-notify' / 'GDK_PROPERTY_NOTIFY'

=item * 'selection-clear' / 'GDK_SELECTION_CLEAR'

=item * 'selection-request' / 'GDK_SELECTION_REQUEST'

=item * 'selection-notify' / 'GDK_SELECTION_NOTIFY'

=item * 'proximity-in' / 'GDK_PROXIMITY_IN'

=item * 'proximity-out' / 'GDK_PROXIMITY_OUT'

=item * 'drag-enter' / 'GDK_DRAG_ENTER'

=item * 'drag-leave' / 'GDK_DRAG_LEAVE'

=item * 'drag-motion' / 'GDK_DRAG_MOTION'

=item * 'drag-status' / 'GDK_DRAG_STATUS'

=item * 'drop-start' / 'GDK_DROP_START'

=item * 'drop-finished' / 'GDK_DROP_FINISHED'

=item * 'client-event' / 'GDK_CLIENT_EVENT'

=item * 'visibility-notify' / 'GDK_VISIBILITY_NOTIFY'

=item * 'no-expose' / 'GDK_NO_EXPOSE'

=item * 'scroll' / 'GDK_SCROLL'

=item * 'window-state' / 'GDK_WINDOW_STATE'

=item * 'setting' / 'GDK_SETTING'

=item * 'owner-change' / 'GDK_OWNER_CHANGE'

=item * 'grab-broken' / 'GDK_GRAB_BROKEN'

=item * 'damage' / 'GDK_DAMAGE'

=item * 'event-last' / 'GDK_EVENT_LAST'

=back

=head2 enum Gtk2::Gdk::ExtensionMode

=over

=item * 'none' / 'GDK_EXTENSION_EVENTS_NONE'

=item * 'all' / 'GDK_EXTENSION_EVENTS_ALL'

=item * 'cursor' / 'GDK_EXTENSION_EVENTS_CURSOR'

=back

=head2 enum Gtk2::Gdk::Fill

=over

=item * 'solid' / 'GDK_SOLID'

=item * 'tiled' / 'GDK_TILED'

=item * 'stippled' / 'GDK_STIPPLED'

=item * 'opaque-stippled' / 'GDK_OPAQUE_STIPPLED'

=back

=head2 enum Gtk2::Gdk::FillRule

=over

=item * 'even-odd-rule' / 'GDK_EVEN_ODD_RULE'

=item * 'winding-rule' / 'GDK_WINDING_RULE'

=back

=head2 enum Gtk2::Gdk::FilterReturn

=over

=item * 'continue' / 'GDK_FILTER_CONTINUE'

=item * 'translate' / 'GDK_FILTER_TRANSLATE'

=item * 'remove' / 'GDK_FILTER_REMOVE'

=back

=head2 enum Gtk2::Gdk::FontType

=over

=item * 'font' / 'GDK_FONT_FONT'

=item * 'fontset' / 'GDK_FONT_FONTSET'

=back

=head2 enum Gtk2::Gdk::Function

=over

=item * 'copy' / 'GDK_COPY'

=item * 'invert' / 'GDK_INVERT'

=item * 'xor' / 'GDK_XOR'

=item * 'clear' / 'GDK_CLEAR'

=item * 'and' / 'GDK_AND'

=item * 'and-reverse' / 'GDK_AND_REVERSE'

=item * 'and-invert' / 'GDK_AND_INVERT'

=item * 'noop' / 'GDK_NOOP'

=item * 'or' / 'GDK_OR'

=item * 'equiv' / 'GDK_EQUIV'

=item * 'or-reverse' / 'GDK_OR_REVERSE'

=item * 'copy-invert' / 'GDK_COPY_INVERT'

=item * 'or-invert' / 'GDK_OR_INVERT'

=item * 'nand' / 'GDK_NAND'

=item * 'nor' / 'GDK_NOR'

=item * 'set' / 'GDK_SET'

=back

=head2 flags Gtk2::Gdk::GCValuesMask

=over

=item * 'foreground' / 'GDK_GC_FOREGROUND'

=item * 'background' / 'GDK_GC_BACKGROUND'

=item * 'font' / 'GDK_GC_FONT'

=item * 'function' / 'GDK_GC_FUNCTION'

=item * 'fill' / 'GDK_GC_FILL'

=item * 'tile' / 'GDK_GC_TILE'

=item * 'stipple' / 'GDK_GC_STIPPLE'

=item * 'clip-mask' / 'GDK_GC_CLIP_MASK'

=item * 'subwindow' / 'GDK_GC_SUBWINDOW'

=item * 'ts-x-origin' / 'GDK_GC_TS_X_ORIGIN'

=item * 'ts-y-origin' / 'GDK_GC_TS_Y_ORIGIN'

=item * 'clip-x-origin' / 'GDK_GC_CLIP_X_ORIGIN'

=item * 'clip-y-origin' / 'GDK_GC_CLIP_Y_ORIGIN'

=item * 'exposures' / 'GDK_GC_EXPOSURES'

=item * 'line-width' / 'GDK_GC_LINE_WIDTH'

=item * 'line-style' / 'GDK_GC_LINE_STYLE'

=item * 'cap-style' / 'GDK_GC_CAP_STYLE'

=item * 'join-style' / 'GDK_GC_JOIN_STYLE'

=back

=head2 enum Gtk2::Gdk::GrabStatus

=over

=item * 'success' / 'GDK_GRAB_SUCCESS'

=item * 'already-grabbed' / 'GDK_GRAB_ALREADY_GRABBED'

=item * 'invalid-time' / 'GDK_GRAB_INVALID_TIME'

=item * 'not-viewable' / 'GDK_GRAB_NOT_VIEWABLE'

=item * 'frozen' / 'GDK_GRAB_FROZEN'

=back

=head2 enum Gtk2::Gdk::Gravity

=over

=item * 'north-west' / 'GDK_GRAVITY_NORTH_WEST'

=item * 'north' / 'GDK_GRAVITY_NORTH'

=item * 'north-east' / 'GDK_GRAVITY_NORTH_EAST'

=item * 'west' / 'GDK_GRAVITY_WEST'

=item * 'center' / 'GDK_GRAVITY_CENTER'

=item * 'east' / 'GDK_GRAVITY_EAST'

=item * 'south-west' / 'GDK_GRAVITY_SOUTH_WEST'

=item * 'south' / 'GDK_GRAVITY_SOUTH'

=item * 'south-east' / 'GDK_GRAVITY_SOUTH_EAST'

=item * 'static' / 'GDK_GRAVITY_STATIC'

=back

=head2 enum Gtk2::Gdk::ImageType

=over

=item * 'normal' / 'GDK_IMAGE_NORMAL'

=item * 'shared' / 'GDK_IMAGE_SHARED'

=item * 'fastest' / 'GDK_IMAGE_FASTEST'

=back

=head2 flags Gtk2::Gdk::InputCondition

=over

=item * 'read' / 'GDK_INPUT_READ'

=item * 'write' / 'GDK_INPUT_WRITE'

=item * 'exception' / 'GDK_INPUT_EXCEPTION'

=back

=head2 enum Gtk2::Gdk::InputMode

=over

=item * 'disabled' / 'GDK_MODE_DISABLED'

=item * 'screen' / 'GDK_MODE_SCREEN'

=item * 'window' / 'GDK_MODE_WINDOW'

=back

=head2 enum Gtk2::Gdk::InputSource

=over

=item * 'mouse' / 'GDK_SOURCE_MOUSE'

=item * 'pen' / 'GDK_SOURCE_PEN'

=item * 'eraser' / 'GDK_SOURCE_ERASER'

=item * 'cursor' / 'GDK_SOURCE_CURSOR'

=back

=head2 enum Gtk2::Gdk::InterpType

=over

=item * 'nearest' / 'GDK_INTERP_NEAREST'

=item * 'tiles' / 'GDK_INTERP_TILES'

=item * 'bilinear' / 'GDK_INTERP_BILINEAR'

=item * 'hyper' / 'GDK_INTERP_HYPER'

=back

=head2 enum Gtk2::Gdk::JoinStyle

=over

=item * 'miter' / 'GDK_JOIN_MITER'

=item * 'round' / 'GDK_JOIN_ROUND'

=item * 'bevel' / 'GDK_JOIN_BEVEL'

=back

=head2 enum Gtk2::Gdk::LineStyle

=over

=item * 'solid' / 'GDK_LINE_SOLID'

=item * 'on-off-dash' / 'GDK_LINE_ON_OFF_DASH'

=item * 'double-dash' / 'GDK_LINE_DOUBLE_DASH'

=back

=head2 flags Gtk2::Gdk::ModifierType

=over

=item * 'shift-mask' / 'GDK_SHIFT_MASK'

=item * 'lock-mask' / 'GDK_LOCK_MASK'

=item * 'control-mask' / 'GDK_CONTROL_MASK'

=item * 'mod1-mask' / 'GDK_MOD1_MASK'

=item * 'mod2-mask' / 'GDK_MOD2_MASK'

=item * 'mod3-mask' / 'GDK_MOD3_MASK'

=item * 'mod4-mask' / 'GDK_MOD4_MASK'

=item * 'mod5-mask' / 'GDK_MOD5_MASK'

=item * 'button1-mask' / 'GDK_BUTTON1_MASK'

=item * 'button2-mask' / 'GDK_BUTTON2_MASK'

=item * 'button3-mask' / 'GDK_BUTTON3_MASK'

=item * 'button4-mask' / 'GDK_BUTTON4_MASK'

=item * 'button5-mask' / 'GDK_BUTTON5_MASK'

=item * 'super-mask' / 'GDK_SUPER_MASK'

=item * 'hyper-mask' / 'GDK_HYPER_MASK'

=item * 'meta-mask' / 'GDK_META_MASK'

=item * 'release-mask' / 'GDK_RELEASE_MASK'

=item * 'modifier-mask' / 'GDK_MODIFIER_MASK'

=back

=head2 enum Gtk2::Gdk::NotifyType

=over

=item * 'ancestor' / 'GDK_NOTIFY_ANCESTOR'

=item * 'virtual' / 'GDK_NOTIFY_VIRTUAL'

=item * 'inferior' / 'GDK_NOTIFY_INFERIOR'

=item * 'nonlinear' / 'GDK_NOTIFY_NONLINEAR'

=item * 'nonlinear-virtual' / 'GDK_NOTIFY_NONLINEAR_VIRTUAL'

=item * 'unknown' / 'GDK_NOTIFY_UNKNOWN'

=back

=head2 enum Gtk2::Gdk::OverlapType

=over

=item * 'in' / 'GDK_OVERLAP_RECTANGLE_IN'

=item * 'out' / 'GDK_OVERLAP_RECTANGLE_OUT'

=item * 'part' / 'GDK_OVERLAP_RECTANGLE_PART'

=back

=head2 enum Gtk2::Gdk::PixbufAlphaMode

=over

=item * 'bilevel' / 'GDK_PIXBUF_ALPHA_BILEVEL'

=item * 'full' / 'GDK_PIXBUF_ALPHA_FULL'

=back

=head2 enum Gtk2::Gdk::PixbufError

=over

=item * 'corrupt-image' / 'GDK_PIXBUF_ERROR_CORRUPT_IMAGE'

=item * 'insufficient-memory' / 'GDK_PIXBUF_ERROR_INSUFFICIENT_MEMORY'

=item * 'bad-option' / 'GDK_PIXBUF_ERROR_BAD_OPTION'

=item * 'unknown-type' / 'GDK_PIXBUF_ERROR_UNKNOWN_TYPE'

=item * 'unsupported-operation' / 'GDK_PIXBUF_ERROR_UNSUPPORTED_OPERATION'

=item * 'failed' / 'GDK_PIXBUF_ERROR_FAILED'

=back

=head2 enum Gtk2::Gdk::PropertyState

=over

=item * 'new-value' / 'GDK_PROPERTY_NEW_VALUE'

=item * 'delete' / 'GDK_PROPERTY_DELETE'

=back

=head2 enum Gtk2::Gdk::PropMode

=over

=item * 'replace' / 'GDK_PROP_MODE_REPLACE'

=item * 'prepend' / 'GDK_PROP_MODE_PREPEND'

=item * 'append' / 'GDK_PROP_MODE_APPEND'

=back

=head2 enum Gtk2::Gdk::RgbDither

=over

=item * 'none' / 'GDK_RGB_DITHER_NONE'

=item * 'normal' / 'GDK_RGB_DITHER_NORMAL'

=item * 'max' / 'GDK_RGB_DITHER_MAX'

=back

=head2 enum Gtk2::Gdk::ScrollDirection

=over

=item * 'up' / 'GDK_SCROLL_UP'

=item * 'down' / 'GDK_SCROLL_DOWN'

=item * 'left' / 'GDK_SCROLL_LEFT'

=item * 'right' / 'GDK_SCROLL_RIGHT'

=back

=head2 enum Gtk2::Gdk::SettingAction

=over

=item * 'new' / 'GDK_SETTING_ACTION_NEW'

=item * 'changed' / 'GDK_SETTING_ACTION_CHANGED'

=item * 'deleted' / 'GDK_SETTING_ACTION_DELETED'

=back

=head2 enum Gtk2::Gdk::Status

=over

=item * 'ok' / 'GDK_OK'

=item * 'error' / 'GDK_ERROR'

=item * 'error-param' / 'GDK_ERROR_PARAM'

=item * 'error-file' / 'GDK_ERROR_FILE'

=item * 'error-mem' / 'GDK_ERROR_MEM'

=back

=head2 enum Gtk2::Gdk::SubwindowMode

=over

=item * 'clip-by-children' / 'GDK_CLIP_BY_CHILDREN'

=item * 'include-inferiors' / 'GDK_INCLUDE_INFERIORS'

=back

=head2 enum Gtk2::Gdk::VisibilityState

=over

=item * 'unobscured' / 'GDK_VISIBILITY_UNOBSCURED'

=item * 'partial' / 'GDK_VISIBILITY_PARTIAL'

=item * 'fully-obscured' / 'GDK_VISIBILITY_FULLY_OBSCURED'

=back

=head2 enum Gtk2::Gdk::VisualType

=over

=item * 'static-gray' / 'GDK_VISUAL_STATIC_GRAY'

=item * 'grayscale' / 'GDK_VISUAL_GRAYSCALE'

=item * 'static-color' / 'GDK_VISUAL_STATIC_COLOR'

=item * 'pseudo-color' / 'GDK_VISUAL_PSEUDO_COLOR'

=item * 'true-color' / 'GDK_VISUAL_TRUE_COLOR'

=item * 'direct-color' / 'GDK_VISUAL_DIRECT_COLOR'

=back

=head2 flags Gtk2::Gdk::WindowAttributesType

=over

=item * 'title' / 'GDK_WA_TITLE'

=item * 'x' / 'GDK_WA_X'

=item * 'y' / 'GDK_WA_Y'

=item * 'cursor' / 'GDK_WA_CURSOR'

=item * 'colormap' / 'GDK_WA_COLORMAP'

=item * 'visual' / 'GDK_WA_VISUAL'

=item * 'wmclass' / 'GDK_WA_WMCLASS'

=item * 'noredir' / 'GDK_WA_NOREDIR'

=item * 'type-hint' / 'GDK_WA_TYPE_HINT'

=back

=head2 enum Gtk2::Gdk::WindowClass

=over

=item * 'output' / 'GDK_INPUT_OUTPUT'

=item * 'only' / 'GDK_INPUT_ONLY'

=back

=head2 enum Gtk2::Gdk::WindowEdge

=over

=item * 'north-west' / 'GDK_WINDOW_EDGE_NORTH_WEST'

=item * 'north' / 'GDK_WINDOW_EDGE_NORTH'

=item * 'north-east' / 'GDK_WINDOW_EDGE_NORTH_EAST'

=item * 'west' / 'GDK_WINDOW_EDGE_WEST'

=item * 'east' / 'GDK_WINDOW_EDGE_EAST'

=item * 'south-west' / 'GDK_WINDOW_EDGE_SOUTH_WEST'

=item * 'south' / 'GDK_WINDOW_EDGE_SOUTH'

=item * 'south-east' / 'GDK_WINDOW_EDGE_SOUTH_EAST'

=back

=head2 flags Gtk2::Gdk::WindowHints

=over

=item * 'pos' / 'GDK_HINT_POS'

=item * 'min-size' / 'GDK_HINT_MIN_SIZE'

=item * 'max-size' / 'GDK_HINT_MAX_SIZE'

=item * 'base-size' / 'GDK_HINT_BASE_SIZE'

=item * 'aspect' / 'GDK_HINT_ASPECT'

=item * 'resize-inc' / 'GDK_HINT_RESIZE_INC'

=item * 'win-gravity' / 'GDK_HINT_WIN_GRAVITY'

=item * 'user-pos' / 'GDK_HINT_USER_POS'

=item * 'user-size' / 'GDK_HINT_USER_SIZE'

=back

=head2 flags Gtk2::Gdk::WindowState

=over

=item * 'withdrawn' / 'GDK_WINDOW_STATE_WITHDRAWN'

=item * 'iconified' / 'GDK_WINDOW_STATE_ICONIFIED'

=item * 'maximized' / 'GDK_WINDOW_STATE_MAXIMIZED'

=item * 'sticky' / 'GDK_WINDOW_STATE_STICKY'

=item * 'fullscreen' / 'GDK_WINDOW_STATE_FULLSCREEN'

=item * 'above' / 'GDK_WINDOW_STATE_ABOVE'

=item * 'below' / 'GDK_WINDOW_STATE_BELOW'

=back

=head2 enum Gtk2::Gdk::WindowType

=over

=item * 'root' / 'GDK_WINDOW_ROOT'

=item * 'toplevel' / 'GDK_WINDOW_TOPLEVEL'

=item * 'child' / 'GDK_WINDOW_CHILD'

=item * 'dialog' / 'GDK_WINDOW_DIALOG'

=item * 'temp' / 'GDK_WINDOW_TEMP'

=item * 'foreign' / 'GDK_WINDOW_FOREIGN'

=item * 'offscreen' / 'GDK_WINDOW_OFFSCREEN'

=back

=head2 enum Gtk2::Gdk::WindowTypeHint

=over

=item * 'normal' / 'GDK_WINDOW_TYPE_HINT_NORMAL'

=item * 'dialog' / 'GDK_WINDOW_TYPE_HINT_DIALOG'

=item * 'menu' / 'GDK_WINDOW_TYPE_HINT_MENU'

=item * 'toolbar' / 'GDK_WINDOW_TYPE_HINT_TOOLBAR'

=item * 'splashscreen' / 'GDK_WINDOW_TYPE_HINT_SPLASHSCREEN'

=item * 'utility' / 'GDK_WINDOW_TYPE_HINT_UTILITY'

=item * 'dock' / 'GDK_WINDOW_TYPE_HINT_DOCK'

=item * 'desktop' / 'GDK_WINDOW_TYPE_HINT_DESKTOP'

=item * 'dropdown-menu' / 'GDK_WINDOW_TYPE_HINT_DROPDOWN_MENU'

=item * 'popup-menu' / 'GDK_WINDOW_TYPE_HINT_POPUP_MENU'

=item * 'tooltip' / 'GDK_WINDOW_TYPE_HINT_TOOLTIP'

=item * 'notification' / 'GDK_WINDOW_TYPE_HINT_NOTIFICATION'

=item * 'combo' / 'GDK_WINDOW_TYPE_HINT_COMBO'

=item * 'dnd' / 'GDK_WINDOW_TYPE_HINT_DND'

=back

=head2 flags Gtk2::Gdk::WMDecoration

=over

=item * 'all' / 'GDK_DECOR_ALL'

=item * 'border' / 'GDK_DECOR_BORDER'

=item * 'resizeh' / 'GDK_DECOR_RESIZEH'

=item * 'title' / 'GDK_DECOR_TITLE'

=item * 'menu' / 'GDK_DECOR_MENU'

=item * 'minimize' / 'GDK_DECOR_MINIMIZE'

=item * 'maximize' / 'GDK_DECOR_MAXIMIZE'

=back

=head2 flags Gtk2::Gdk::WMFunction

=over

=item * 'all' / 'GDK_FUNC_ALL'

=item * 'resize' / 'GDK_FUNC_RESIZE'

=item * 'move' / 'GDK_FUNC_MOVE'

=item * 'minimize' / 'GDK_FUNC_MINIMIZE'

=item * 'maximize' / 'GDK_FUNC_MAXIMIZE'

=item * 'close' / 'GDK_FUNC_CLOSE'

=back

=head2 flags Gtk2::AccelFlags

=over

=item * 'visible' / 'GTK_ACCEL_VISIBLE'

=item * 'locked' / 'GTK_ACCEL_LOCKED'

=item * 'mask' / 'GTK_ACCEL_MASK'

=back

=head2 enum Gtk2::AnchorType

=over

=item * 'center' / 'GTK_ANCHOR_CENTER'

=item * 'north' / 'GTK_ANCHOR_NORTH'

=item * 'north-west' / 'GTK_ANCHOR_NORTH_WEST'

=item * 'north-east' / 'GTK_ANCHOR_NORTH_EAST'

=item * 'south' / 'GTK_ANCHOR_SOUTH'

=item * 'south-west' / 'GTK_ANCHOR_SOUTH_WEST'

=item * 'south-east' / 'GTK_ANCHOR_SOUTH_EAST'

=item * 'west' / 'GTK_ANCHOR_WEST'

=item * 'east' / 'GTK_ANCHOR_EAST'

=item * 'n' / 'GTK_ANCHOR_N'

=item * 'nw' / 'GTK_ANCHOR_NW'

=item * 'ne' / 'GTK_ANCHOR_NE'

=item * 's' / 'GTK_ANCHOR_S'

=item * 'sw' / 'GTK_ANCHOR_SW'

=item * 'se' / 'GTK_ANCHOR_SE'

=item * 'w' / 'GTK_ANCHOR_W'

=item * 'e' / 'GTK_ANCHOR_E'

=back

=head2 flags Gtk2::ArgFlags

=over

=item * 'readable' / 'GTK_ARG_READABLE'

=item * 'writable' / 'GTK_ARG_WRITABLE'

=item * 'construct' / 'GTK_ARG_CONSTRUCT'

=item * 'construct-only' / 'GTK_ARG_CONSTRUCT_ONLY'

=item * 'child-arg' / 'GTK_ARG_CHILD_ARG'

=back

=head2 enum Gtk2::ArrowType

=over

=item * 'up' / 'GTK_ARROW_UP'

=item * 'down' / 'GTK_ARROW_DOWN'

=item * 'left' / 'GTK_ARROW_LEFT'

=item * 'right' / 'GTK_ARROW_RIGHT'

=item * 'none' / 'GTK_ARROW_NONE'

=back

=head2 flags Gtk2::AttachOptions

=over

=item * 'expand' / 'GTK_EXPAND'

=item * 'shrink' / 'GTK_SHRINK'

=item * 'fill' / 'GTK_FILL'

=back

=head2 enum Gtk2::ButtonBoxStyle

=over

=item * 'default-style' / 'GTK_BUTTONBOX_DEFAULT_STYLE'

=item * 'spread' / 'GTK_BUTTONBOX_SPREAD'

=item * 'edge' / 'GTK_BUTTONBOX_EDGE'

=item * 'start' / 'GTK_BUTTONBOX_START'

=item * 'end' / 'GTK_BUTTONBOX_END'

=item * 'center' / 'GTK_BUTTONBOX_CENTER'

=back

=head2 enum Gtk2::ButtonsType

=over

=item * 'none' / 'GTK_BUTTONS_NONE'

=item * 'ok' / 'GTK_BUTTONS_OK'

=item * 'close' / 'GTK_BUTTONS_CLOSE'

=item * 'cancel' / 'GTK_BUTTONS_CANCEL'

=item * 'yes-no' / 'GTK_BUTTONS_YES_NO'

=item * 'ok-cancel' / 'GTK_BUTTONS_OK_CANCEL'

=back

=head2 flags Gtk2::CalendarDisplayOptions

=over

=item * 'show-heading' / 'GTK_CALENDAR_SHOW_HEADING'

=item * 'show-day-names' / 'GTK_CALENDAR_SHOW_DAY_NAMES'

=item * 'no-month-change' / 'GTK_CALENDAR_NO_MONTH_CHANGE'

=item * 'show-week-numbers' / 'GTK_CALENDAR_SHOW_WEEK_NUMBERS'

=item * 'week-start-monday' / 'GTK_CALENDAR_WEEK_START_MONDAY'

=item * 'show-details' / 'GTK_CALENDAR_SHOW_DETAILS'

=back

=head2 enum Gtk2::CellRendererMode

=over

=item * 'inert' / 'GTK_CELL_RENDERER_MODE_INERT'

=item * 'activatable' / 'GTK_CELL_RENDERER_MODE_ACTIVATABLE'

=item * 'editable' / 'GTK_CELL_RENDERER_MODE_EDITABLE'

=back

=head2 flags Gtk2::CellRendererState

=over

=item * 'selected' / 'GTK_CELL_RENDERER_SELECTED'

=item * 'prelit' / 'GTK_CELL_RENDERER_PRELIT'

=item * 'insensitive' / 'GTK_CELL_RENDERER_INSENSITIVE'

=item * 'sorted' / 'GTK_CELL_RENDERER_SORTED'

=item * 'focused' / 'GTK_CELL_RENDERER_FOCUSED'

=back

=head2 enum Gtk2::CornerType

=over

=item * 'top-left' / 'GTK_CORNER_TOP_LEFT'

=item * 'bottom-left' / 'GTK_CORNER_BOTTOM_LEFT'

=item * 'top-right' / 'GTK_CORNER_TOP_RIGHT'

=item * 'bottom-right' / 'GTK_CORNER_BOTTOM_RIGHT'

=back

=head2 enum Gtk2::CurveType

=over

=item * 'linear' / 'GTK_CURVE_TYPE_LINEAR'

=item * 'spline' / 'GTK_CURVE_TYPE_SPLINE'

=item * 'free' / 'GTK_CURVE_TYPE_FREE'

=back

=head2 flags Gtk2::DebugFlag

=over

=item * 'misc' / 'GTK_DEBUG_MISC'

=item * 'plugsocket' / 'GTK_DEBUG_PLUGSOCKET'

=item * 'text' / 'GTK_DEBUG_TEXT'

=item * 'tree' / 'GTK_DEBUG_TREE'

=item * 'updates' / 'GTK_DEBUG_UPDATES'

=item * 'keybindings' / 'GTK_DEBUG_KEYBINDINGS'

=item * 'multihead' / 'GTK_DEBUG_MULTIHEAD'

=item * 'modules' / 'GTK_DEBUG_MODULES'

=item * 'geometry' / 'GTK_DEBUG_GEOMETRY'

=item * 'icontheme' / 'GTK_DEBUG_ICONTHEME'

=item * 'printing' / 'GTK_DEBUG_PRINTING'

=item * 'builder' / 'GTK_DEBUG_BUILDER'

=back

=head2 enum Gtk2::DeleteType

=over

=item * 'chars' / 'GTK_DELETE_CHARS'

=item * 'word-ends' / 'GTK_DELETE_WORD_ENDS'

=item * 'words' / 'GTK_DELETE_WORDS'

=item * 'display-lines' / 'GTK_DELETE_DISPLAY_LINES'

=item * 'display-line-ends' / 'GTK_DELETE_DISPLAY_LINE_ENDS'

=item * 'paragraph-ends' / 'GTK_DELETE_PARAGRAPH_ENDS'

=item * 'paragraphs' / 'GTK_DELETE_PARAGRAPHS'

=item * 'whitespace' / 'GTK_DELETE_WHITESPACE'

=back

=head2 flags Gtk2::DestDefaults

=over

=item * 'motion' / 'GTK_DEST_DEFAULT_MOTION'

=item * 'highlight' / 'GTK_DEST_DEFAULT_HIGHLIGHT'

=item * 'drop' / 'GTK_DEST_DEFAULT_DROP'

=item * 'all' / 'GTK_DEST_DEFAULT_ALL'

=back

=head2 flags Gtk2::DialogFlags

=over

=item * 'modal' / 'GTK_DIALOG_MODAL'

=item * 'destroy-with-parent' / 'GTK_DIALOG_DESTROY_WITH_PARENT'

=item * 'no-separator' / 'GTK_DIALOG_NO_SEPARATOR'

=back

=head2 enum Gtk2::DirectionType

=over

=item * 'tab-forward' / 'GTK_DIR_TAB_FORWARD'

=item * 'tab-backward' / 'GTK_DIR_TAB_BACKWARD'

=item * 'up' / 'GTK_DIR_UP'

=item * 'down' / 'GTK_DIR_DOWN'

=item * 'left' / 'GTK_DIR_LEFT'

=item * 'right' / 'GTK_DIR_RIGHT'

=back

=head2 enum Gtk2::ExpanderStyle

=over

=item * 'collapsed' / 'GTK_EXPANDER_COLLAPSED'

=item * 'semi-collapsed' / 'GTK_EXPANDER_SEMI_COLLAPSED'

=item * 'semi-expanded' / 'GTK_EXPANDER_SEMI_EXPANDED'

=item * 'expanded' / 'GTK_EXPANDER_EXPANDED'

=back

=head2 enum Gtk2::IconSize

=over

=item * 'invalid' / 'GTK_ICON_SIZE_INVALID'

=item * 'menu' / 'GTK_ICON_SIZE_MENU'

=item * 'small-toolbar' / 'GTK_ICON_SIZE_SMALL_TOOLBAR'

=item * 'large-toolbar' / 'GTK_ICON_SIZE_LARGE_TOOLBAR'

=item * 'button' / 'GTK_ICON_SIZE_BUTTON'

=item * 'dnd' / 'GTK_ICON_SIZE_DND'

=item * 'dialog' / 'GTK_ICON_SIZE_DIALOG'

=back

=head2 enum Gtk2::ImageType

=over

=item * 'empty' / 'GTK_IMAGE_EMPTY'

=item * 'pixmap' / 'GTK_IMAGE_PIXMAP'

=item * 'image' / 'GTK_IMAGE_IMAGE'

=item * 'pixbuf' / 'GTK_IMAGE_PIXBUF'

=item * 'stock' / 'GTK_IMAGE_STOCK'

=item * 'icon-set' / 'GTK_IMAGE_ICON_SET'

=item * 'animation' / 'GTK_IMAGE_ANIMATION'

=item * 'icon-name' / 'GTK_IMAGE_ICON_NAME'

=item * 'gicon' / 'GTK_IMAGE_GICON'

=back

=head2 enum Gtk2::IMPreeditStyle

=over

=item * 'nothing' / 'GTK_IM_PREEDIT_NOTHING'

=item * 'callback' / 'GTK_IM_PREEDIT_CALLBACK'

=item * 'none' / 'GTK_IM_PREEDIT_NONE'

=back

=head2 enum Gtk2::IMStatusStyle

=over

=item * 'nothing' / 'GTK_IM_STATUS_NOTHING'

=item * 'callback' / 'GTK_IM_STATUS_CALLBACK'

=item * 'none' / 'GTK_IM_STATUS_NONE'

=back

=head2 enum Gtk2::Justification

=over

=item * 'left' / 'GTK_JUSTIFY_LEFT'

=item * 'right' / 'GTK_JUSTIFY_RIGHT'

=item * 'center' / 'GTK_JUSTIFY_CENTER'

=item * 'fill' / 'GTK_JUSTIFY_FILL'

=back

=head2 enum Gtk2::MatchType

=over

=item * 'all' / 'GTK_MATCH_ALL'

=item * 'all-tail' / 'GTK_MATCH_ALL_TAIL'

=item * 'head' / 'GTK_MATCH_HEAD'

=item * 'tail' / 'GTK_MATCH_TAIL'

=item * 'exact' / 'GTK_MATCH_EXACT'

=item * 'last' / 'GTK_MATCH_LAST'

=back

=head2 enum Gtk2::MenuDirectionType

=over

=item * 'parent' / 'GTK_MENU_DIR_PARENT'

=item * 'child' / 'GTK_MENU_DIR_CHILD'

=item * 'next' / 'GTK_MENU_DIR_NEXT'

=item * 'prev' / 'GTK_MENU_DIR_PREV'

=back

=head2 enum Gtk2::MessageType

=over

=item * 'info' / 'GTK_MESSAGE_INFO'

=item * 'warning' / 'GTK_MESSAGE_WARNING'

=item * 'question' / 'GTK_MESSAGE_QUESTION'

=item * 'error' / 'GTK_MESSAGE_ERROR'

=item * 'other' / 'GTK_MESSAGE_OTHER'

=back

=head2 enum Gtk2::MetricType

=over

=item * 'pixels' / 'GTK_PIXELS'

=item * 'inches' / 'GTK_INCHES'

=item * 'centimeters' / 'GTK_CENTIMETERS'

=back

=head2 enum Gtk2::MovementStep

=over

=item * 'logical-positions' / 'GTK_MOVEMENT_LOGICAL_POSITIONS'

=item * 'visual-positions' / 'GTK_MOVEMENT_VISUAL_POSITIONS'

=item * 'words' / 'GTK_MOVEMENT_WORDS'

=item * 'display-lines' / 'GTK_MOVEMENT_DISPLAY_LINES'

=item * 'display-line-ends' / 'GTK_MOVEMENT_DISPLAY_LINE_ENDS'

=item * 'paragraphs' / 'GTK_MOVEMENT_PARAGRAPHS'

=item * 'paragraph-ends' / 'GTK_MOVEMENT_PARAGRAPH_ENDS'

=item * 'pages' / 'GTK_MOVEMENT_PAGES'

=item * 'buffer-ends' / 'GTK_MOVEMENT_BUFFER_ENDS'

=item * 'horizontal-pages' / 'GTK_MOVEMENT_HORIZONTAL_PAGES'

=back

=head2 enum Gtk2::NotebookTab

=over

=item * 'first' / 'GTK_NOTEBOOK_TAB_FIRST'

=item * 'last' / 'GTK_NOTEBOOK_TAB_LAST'

=back

=head2 flags Gtk2::ObjectFlags

=over

=item * 'in-destruction' / 'GTK_IN_DESTRUCTION'

=item * 'floating' / 'GTK_FLOATING'

=item * 'reserved-1' / 'GTK_RESERVED_1'

=item * 'reserved-2' / 'GTK_RESERVED_2'

=back

=head2 enum Gtk2::Orientation

=over

=item * 'horizontal' / 'GTK_ORIENTATION_HORIZONTAL'

=item * 'vertical' / 'GTK_ORIENTATION_VERTICAL'

=back

=head2 enum Gtk2::PackType

=over

=item * 'start' / 'GTK_PACK_START'

=item * 'end' / 'GTK_PACK_END'

=back

=head2 enum Gtk2::PathPriorityType

=over

=item * 'lowest' / 'GTK_PATH_PRIO_LOWEST'

=item * 'gtk' / 'GTK_PATH_PRIO_GTK'

=item * 'application' / 'GTK_PATH_PRIO_APPLICATION'

=item * 'theme' / 'GTK_PATH_PRIO_THEME'

=item * 'rc' / 'GTK_PATH_PRIO_RC'

=item * 'highest' / 'GTK_PATH_PRIO_HIGHEST'

=back

=head2 enum Gtk2::PathType

=over

=item * 'widget' / 'GTK_PATH_WIDGET'

=item * 'widget-class' / 'GTK_PATH_WIDGET_CLASS'

=item * 'class' / 'GTK_PATH_CLASS'

=back

=head2 enum Gtk2::PolicyType

=over

=item * 'always' / 'GTK_POLICY_ALWAYS'

=item * 'automatic' / 'GTK_POLICY_AUTOMATIC'

=item * 'never' / 'GTK_POLICY_NEVER'

=back

=head2 enum Gtk2::PositionType

=over

=item * 'left' / 'GTK_POS_LEFT'

=item * 'right' / 'GTK_POS_RIGHT'

=item * 'top' / 'GTK_POS_TOP'

=item * 'bottom' / 'GTK_POS_BOTTOM'

=back

=head2 enum Gtk2::PreviewType

=over

=item * 'color' / 'GTK_PREVIEW_COLOR'

=item * 'grayscale' / 'GTK_PREVIEW_GRAYSCALE'

=back

=head2 flags Gtk2::PrivateFlags

=over

=item * 'user-style' / 'PRIVATE_GTK_USER_STYLE'

=item * 'resize-pending' / 'PRIVATE_GTK_RESIZE_PENDING'

=item * 'has-pointer' / 'PRIVATE_GTK_HAS_POINTER'

=item * 'shadowed' / 'PRIVATE_GTK_SHADOWED'

=item * 'has-shape-mask' / 'PRIVATE_GTK_HAS_SHAPE_MASK'

=item * 'in-reparent' / 'PRIVATE_GTK_IN_REPARENT'

=item * 'direction-set' / 'PRIVATE_GTK_DIRECTION_SET'

=item * 'direction-ltr' / 'PRIVATE_GTK_DIRECTION_LTR'

=item * 'anchored' / 'PRIVATE_GTK_ANCHORED'

=item * 'child-visible' / 'PRIVATE_GTK_CHILD_VISIBLE'

=item * 'redraw-on-alloc' / 'PRIVATE_GTK_REDRAW_ON_ALLOC'

=item * 'alloc-needed' / 'PRIVATE_GTK_ALLOC_NEEDED'

=item * 'request-needed' / 'PRIVATE_GTK_REQUEST_NEEDED'

=back

=head2 enum Gtk2::ProgressBarOrientation

=over

=item * 'left-to-right' / 'GTK_PROGRESS_LEFT_TO_RIGHT'

=item * 'right-to-left' / 'GTK_PROGRESS_RIGHT_TO_LEFT'

=item * 'bottom-to-top' / 'GTK_PROGRESS_BOTTOM_TO_TOP'

=item * 'top-to-bottom' / 'GTK_PROGRESS_TOP_TO_BOTTOM'

=back

=head2 enum Gtk2::ProgressBarStyle

=over

=item * 'continuous' / 'GTK_PROGRESS_CONTINUOUS'

=item * 'discrete' / 'GTK_PROGRESS_DISCRETE'

=back

=head2 flags Gtk2::RcFlags

=over

=item * 'fg' / 'GTK_RC_FG'

=item * 'bg' / 'GTK_RC_BG'

=item * 'text' / 'GTK_RC_TEXT'

=item * 'base' / 'GTK_RC_BASE'

=back

=head2 enum Gtk2::RcTokenType

=over

=item * 'invalid' / 'GTK_RC_TOKEN_INVALID'

=item * 'include' / 'GTK_RC_TOKEN_INCLUDE'

=item * 'normal' / 'GTK_RC_TOKEN_NORMAL'

=item * 'active' / 'GTK_RC_TOKEN_ACTIVE'

=item * 'prelight' / 'GTK_RC_TOKEN_PRELIGHT'

=item * 'selected' / 'GTK_RC_TOKEN_SELECTED'

=item * 'insensitive' / 'GTK_RC_TOKEN_INSENSITIVE'

=item * 'fg' / 'GTK_RC_TOKEN_FG'

=item * 'bg' / 'GTK_RC_TOKEN_BG'

=item * 'text' / 'GTK_RC_TOKEN_TEXT'

=item * 'base' / 'GTK_RC_TOKEN_BASE'

=item * 'xthickness' / 'GTK_RC_TOKEN_XTHICKNESS'

=item * 'ythickness' / 'GTK_RC_TOKEN_YTHICKNESS'

=item * 'font' / 'GTK_RC_TOKEN_FONT'

=item * 'fontset' / 'GTK_RC_TOKEN_FONTSET'

=item * 'font-name' / 'GTK_RC_TOKEN_FONT_NAME'

=item * 'bg-pixmap' / 'GTK_RC_TOKEN_BG_PIXMAP'

=item * 'pixmap-path' / 'GTK_RC_TOKEN_PIXMAP_PATH'

=item * 'style' / 'GTK_RC_TOKEN_STYLE'

=item * 'binding' / 'GTK_RC_TOKEN_BINDING'

=item * 'bind' / 'GTK_RC_TOKEN_BIND'

=item * 'widget' / 'GTK_RC_TOKEN_WIDGET'

=item * 'widget-class' / 'GTK_RC_TOKEN_WIDGET_CLASS'

=item * 'class' / 'GTK_RC_TOKEN_CLASS'

=item * 'lowest' / 'GTK_RC_TOKEN_LOWEST'

=item * 'gtk' / 'GTK_RC_TOKEN_GTK'

=item * 'application' / 'GTK_RC_TOKEN_APPLICATION'

=item * 'theme' / 'GTK_RC_TOKEN_THEME'

=item * 'rc' / 'GTK_RC_TOKEN_RC'

=item * 'highest' / 'GTK_RC_TOKEN_HIGHEST'

=item * 'engine' / 'GTK_RC_TOKEN_ENGINE'

=item * 'module-path' / 'GTK_RC_TOKEN_MODULE_PATH'

=item * 'im-module-path' / 'GTK_RC_TOKEN_IM_MODULE_PATH'

=item * 'im-module-file' / 'GTK_RC_TOKEN_IM_MODULE_FILE'

=item * 'stock' / 'GTK_RC_TOKEN_STOCK'

=item * 'ltr' / 'GTK_RC_TOKEN_LTR'

=item * 'rtl' / 'GTK_RC_TOKEN_RTL'

=item * 'color' / 'GTK_RC_TOKEN_COLOR'

=item * 'unbind' / 'GTK_RC_TOKEN_UNBIND'

=item * 'last' / 'GTK_RC_TOKEN_LAST'

=back

=head2 enum Gtk2::ReliefStyle

=over

=item * 'normal' / 'GTK_RELIEF_NORMAL'

=item * 'half' / 'GTK_RELIEF_HALF'

=item * 'none' / 'GTK_RELIEF_NONE'

=back

=head2 enum Gtk2::ResizeMode

=over

=item * 'parent' / 'GTK_RESIZE_PARENT'

=item * 'queue' / 'GTK_RESIZE_QUEUE'

=item * 'immediate' / 'GTK_RESIZE_IMMEDIATE'

=back

=head2 enum Gtk2::ResponseType

=over

=item * 'none' / 'GTK_RESPONSE_NONE'

=item * 'reject' / 'GTK_RESPONSE_REJECT'

=item * 'accept' / 'GTK_RESPONSE_ACCEPT'

=item * 'delete-event' / 'GTK_RESPONSE_DELETE_EVENT'

=item * 'ok' / 'GTK_RESPONSE_OK'

=item * 'cancel' / 'GTK_RESPONSE_CANCEL'

=item * 'close' / 'GTK_RESPONSE_CLOSE'

=item * 'yes' / 'GTK_RESPONSE_YES'

=item * 'no' / 'GTK_RESPONSE_NO'

=item * 'apply' / 'GTK_RESPONSE_APPLY'

=item * 'help' / 'GTK_RESPONSE_HELP'

=back

=head2 enum Gtk2::ScrollType

=over

=item * 'none' / 'GTK_SCROLL_NONE'

=item * 'jump' / 'GTK_SCROLL_JUMP'

=item * 'step-backward' / 'GTK_SCROLL_STEP_BACKWARD'

=item * 'step-forward' / 'GTK_SCROLL_STEP_FORWARD'

=item * 'page-backward' / 'GTK_SCROLL_PAGE_BACKWARD'

=item * 'page-forward' / 'GTK_SCROLL_PAGE_FORWARD'

=item * 'step-up' / 'GTK_SCROLL_STEP_UP'

=item * 'step-down' / 'GTK_SCROLL_STEP_DOWN'

=item * 'page-up' / 'GTK_SCROLL_PAGE_UP'

=item * 'page-down' / 'GTK_SCROLL_PAGE_DOWN'

=item * 'step-left' / 'GTK_SCROLL_STEP_LEFT'

=item * 'step-right' / 'GTK_SCROLL_STEP_RIGHT'

=item * 'page-left' / 'GTK_SCROLL_PAGE_LEFT'

=item * 'page-right' / 'GTK_SCROLL_PAGE_RIGHT'

=item * 'start' / 'GTK_SCROLL_START'

=item * 'end' / 'GTK_SCROLL_END'

=back

=head2 enum Gtk2::SelectionMode

=over

=item * 'none' / 'GTK_SELECTION_NONE'

=item * 'single' / 'GTK_SELECTION_SINGLE'

=item * 'browse' / 'GTK_SELECTION_BROWSE'

=item * 'multiple' / 'GTK_SELECTION_MULTIPLE'

=item * 'extended' / 'GTK_SELECTION_EXTENDED'

=back

=head2 enum Gtk2::ShadowType

=over

=item * 'none' / 'GTK_SHADOW_NONE'

=item * 'in' / 'GTK_SHADOW_IN'

=item * 'out' / 'GTK_SHADOW_OUT'

=item * 'etched-in' / 'GTK_SHADOW_ETCHED_IN'

=item * 'etched-out' / 'GTK_SHADOW_ETCHED_OUT'

=back

=head2 enum Gtk2::SideType

=over

=item * 'top' / 'GTK_SIDE_TOP'

=item * 'bottom' / 'GTK_SIDE_BOTTOM'

=item * 'left' / 'GTK_SIDE_LEFT'

=item * 'right' / 'GTK_SIDE_RIGHT'

=back

=head2 flags Gtk2::SignalRunType

=over

=item * 'first' / 'GTK_RUN_FIRST'

=item * 'last' / 'GTK_RUN_LAST'

=item * 'both' / 'GTK_RUN_BOTH'

=item * 'no-recurse' / 'GTK_RUN_NO_RECURSE'

=item * 'action' / 'GTK_RUN_ACTION'

=item * 'no-hooks' / 'GTK_RUN_NO_HOOKS'

=back

=head2 enum Gtk2::SizeGroupMode

=over

=item * 'none' / 'GTK_SIZE_GROUP_NONE'

=item * 'horizontal' / 'GTK_SIZE_GROUP_HORIZONTAL'

=item * 'vertical' / 'GTK_SIZE_GROUP_VERTICAL'

=item * 'both' / 'GTK_SIZE_GROUP_BOTH'

=back

=head2 enum Gtk2::SortType

=over

=item * 'ascending' / 'GTK_SORT_ASCENDING'

=item * 'descending' / 'GTK_SORT_DESCENDING'

=back

=head2 enum Gtk2::SpinButtonUpdatePolicy

=over

=item * 'always' / 'GTK_UPDATE_ALWAYS'

=item * 'if-valid' / 'GTK_UPDATE_IF_VALID'

=back

=head2 enum Gtk2::SpinType

=over

=item * 'step-forward' / 'GTK_SPIN_STEP_FORWARD'

=item * 'step-backward' / 'GTK_SPIN_STEP_BACKWARD'

=item * 'page-forward' / 'GTK_SPIN_PAGE_FORWARD'

=item * 'page-backward' / 'GTK_SPIN_PAGE_BACKWARD'

=item * 'home' / 'GTK_SPIN_HOME'

=item * 'end' / 'GTK_SPIN_END'

=item * 'user-defined' / 'GTK_SPIN_USER_DEFINED'

=back

=head2 enum Gtk2::StateType

=over

=item * 'normal' / 'GTK_STATE_NORMAL'

=item * 'active' / 'GTK_STATE_ACTIVE'

=item * 'prelight' / 'GTK_STATE_PRELIGHT'

=item * 'selected' / 'GTK_STATE_SELECTED'

=item * 'insensitive' / 'GTK_STATE_INSENSITIVE'

=back

=head2 enum Gtk2::SubmenuDirection

=over

=item * 'left' / 'GTK_DIRECTION_LEFT'

=item * 'right' / 'GTK_DIRECTION_RIGHT'

=back

=head2 enum Gtk2::SubmenuPlacement

=over

=item * 'top-bottom' / 'GTK_TOP_BOTTOM'

=item * 'left-right' / 'GTK_LEFT_RIGHT'

=back

=head2 flags Gtk2::TargetFlags

=over

=item * 'same-app' / 'GTK_TARGET_SAME_APP'

=item * 'same-widget' / 'GTK_TARGET_SAME_WIDGET'

=item * 'other-app' / 'GTK_TARGET_OTHER_APP'

=item * 'other-widget' / 'GTK_TARGET_OTHER_WIDGET'

=back

=head2 enum Gtk2::TextDirection

=over

=item * 'none' / 'GTK_TEXT_DIR_NONE'

=item * 'ltr' / 'GTK_TEXT_DIR_LTR'

=item * 'rtl' / 'GTK_TEXT_DIR_RTL'

=back

=head2 flags Gtk2::TextSearchFlags

=over

=item * 'visible-only' / 'GTK_TEXT_SEARCH_VISIBLE_ONLY'

=item * 'text-only' / 'GTK_TEXT_SEARCH_TEXT_ONLY'

=back

=head2 enum Gtk2::TextWindowType

=over

=item * 'private' / 'GTK_TEXT_WINDOW_PRIVATE'

=item * 'widget' / 'GTK_TEXT_WINDOW_WIDGET'

=item * 'text' / 'GTK_TEXT_WINDOW_TEXT'

=item * 'left' / 'GTK_TEXT_WINDOW_LEFT'

=item * 'right' / 'GTK_TEXT_WINDOW_RIGHT'

=item * 'top' / 'GTK_TEXT_WINDOW_TOP'

=item * 'bottom' / 'GTK_TEXT_WINDOW_BOTTOM'

=back

=head2 enum Gtk2::ToolbarChildType

=over

=item * 'space' / 'GTK_TOOLBAR_CHILD_SPACE'

=item * 'button' / 'GTK_TOOLBAR_CHILD_BUTTON'

=item * 'togglebutton' / 'GTK_TOOLBAR_CHILD_TOGGLEBUTTON'

=item * 'radiobutton' / 'GTK_TOOLBAR_CHILD_RADIOBUTTON'

=item * 'widget' / 'GTK_TOOLBAR_CHILD_WIDGET'

=back

=head2 enum Gtk2::ToolbarSpaceStyle

=over

=item * 'empty' / 'GTK_TOOLBAR_SPACE_EMPTY'

=item * 'line' / 'GTK_TOOLBAR_SPACE_LINE'

=back

=head2 enum Gtk2::ToolbarStyle

=over

=item * 'icons' / 'GTK_TOOLBAR_ICONS'

=item * 'text' / 'GTK_TOOLBAR_TEXT'

=item * 'both' / 'GTK_TOOLBAR_BOTH'

=item * 'both-horiz' / 'GTK_TOOLBAR_BOTH_HORIZ'

=back

=head2 flags Gtk2::TreeModelFlags

=over

=item * 'iters-persist' / 'GTK_TREE_MODEL_ITERS_PERSIST'

=item * 'list-only' / 'GTK_TREE_MODEL_LIST_ONLY'

=back

=head2 enum Gtk2::TreeViewColumnSizing

=over

=item * 'grow-only' / 'GTK_TREE_VIEW_COLUMN_GROW_ONLY'

=item * 'autosize' / 'GTK_TREE_VIEW_COLUMN_AUTOSIZE'

=item * 'fixed' / 'GTK_TREE_VIEW_COLUMN_FIXED'

=back

=head2 enum Gtk2::TreeViewDropPosition

=over

=item * 'before' / 'GTK_TREE_VIEW_DROP_BEFORE'

=item * 'after' / 'GTK_TREE_VIEW_DROP_AFTER'

=item * 'into-or-before' / 'GTK_TREE_VIEW_DROP_INTO_OR_BEFORE'

=item * 'into-or-after' / 'GTK_TREE_VIEW_DROP_INTO_OR_AFTER'

=back

=head2 enum Gtk2::TreeViewMode

=over

=item * 'line' / 'GTK_TREE_VIEW_LINE'

=item * 'item' / 'GTK_TREE_VIEW_ITEM'

=back

=head2 enum Gtk2::UpdateType

=over

=item * 'continuous' / 'GTK_UPDATE_CONTINUOUS'

=item * 'discontinuous' / 'GTK_UPDATE_DISCONTINUOUS'

=item * 'delayed' / 'GTK_UPDATE_DELAYED'

=back

=head2 enum Gtk2::Visibility

=over

=item * 'none' / 'GTK_VISIBILITY_NONE'

=item * 'partial' / 'GTK_VISIBILITY_PARTIAL'

=item * 'full' / 'GTK_VISIBILITY_FULL'

=back

=head2 flags Gtk2::WidgetFlags

=over

=item * 'toplevel' / 'GTK_TOPLEVEL'

=item * 'no-window' / 'GTK_NO_WINDOW'

=item * 'realized' / 'GTK_REALIZED'

=item * 'mapped' / 'GTK_MAPPED'

=item * 'visible' / 'GTK_VISIBLE'

=item * 'sensitive' / 'GTK_SENSITIVE'

=item * 'parent-sensitive' / 'GTK_PARENT_SENSITIVE'

=item * 'can-focus' / 'GTK_CAN_FOCUS'

=item * 'has-focus' / 'GTK_HAS_FOCUS'

=item * 'can-default' / 'GTK_CAN_DEFAULT'

=item * 'has-default' / 'GTK_HAS_DEFAULT'

=item * 'has-grab' / 'GTK_HAS_GRAB'

=item * 'rc-style' / 'GTK_RC_STYLE'

=item * 'composite-child' / 'GTK_COMPOSITE_CHILD'

=item * 'no-reparent' / 'GTK_NO_REPARENT'

=item * 'app-paintable' / 'GTK_APP_PAINTABLE'

=item * 'receives-default' / 'GTK_RECEIVES_DEFAULT'

=item * 'double-buffered' / 'GTK_DOUBLE_BUFFERED'

=item * 'no-show-all' / 'GTK_NO_SHOW_ALL'

=back

=head2 enum Gtk2::WidgetHelpType

=over

=item * 'tooltip' / 'GTK_WIDGET_HELP_TOOLTIP'

=item * 'whats-this' / 'GTK_WIDGET_HELP_WHATS_THIS'

=back

=head2 enum Gtk2::WindowPosition

=over

=item * 'none' / 'GTK_WIN_POS_NONE'

=item * 'center' / 'GTK_WIN_POS_CENTER'

=item * 'mouse' / 'GTK_WIN_POS_MOUSE'

=item * 'center-always' / 'GTK_WIN_POS_CENTER_ALWAYS'

=item * 'center-on-parent' / 'GTK_WIN_POS_CENTER_ON_PARENT'

=back

=head2 enum Gtk2::WindowType

=over

=item * 'toplevel' / 'GTK_WINDOW_TOPLEVEL'

=item * 'popup' / 'GTK_WINDOW_POPUP'

=back

=head2 enum Gtk2::WrapMode

=over

=item * 'none' / 'GTK_WRAP_NONE'

=item * 'char' / 'GTK_WRAP_CHAR'

=item * 'word' / 'GTK_WRAP_WORD'

=item * 'word-char' / 'GTK_WRAP_WORD_CHAR'

=back

=head2 enum Gtk2::AssistantPageType

=over

=item * 'content' / 'GTK_ASSISTANT_PAGE_CONTENT'

=item * 'intro' / 'GTK_ASSISTANT_PAGE_INTRO'

=item * 'confirm' / 'GTK_ASSISTANT_PAGE_CONFIRM'

=item * 'summary' / 'GTK_ASSISTANT_PAGE_SUMMARY'

=item * 'progress' / 'GTK_ASSISTANT_PAGE_PROGRESS'

=back

=head2 enum Gtk2::CellRendererAccelMode

=over

=item * 'gtk' / 'GTK_CELL_RENDERER_ACCEL_MODE_GTK'

=item * 'other' / 'GTK_CELL_RENDERER_ACCEL_MODE_OTHER'

=back

=head2 enum Gtk2::PageOrientation

=over

=item * 'portrait' / 'GTK_PAGE_ORIENTATION_PORTRAIT'

=item * 'landscape' / 'GTK_PAGE_ORIENTATION_LANDSCAPE'

=item * 'reverse-portrait' / 'GTK_PAGE_ORIENTATION_REVERSE_PORTRAIT'

=item * 'reverse-landscape' / 'GTK_PAGE_ORIENTATION_REVERSE_LANDSCAPE'

=back

=head2 enum Gtk2::PageSet

=over

=item * 'all' / 'GTK_PAGE_SET_ALL'

=item * 'even' / 'GTK_PAGE_SET_EVEN'

=item * 'odd' / 'GTK_PAGE_SET_ODD'

=back

=head2 enum Gtk2::PrintDuplex

=over

=item * 'simplex' / 'GTK_PRINT_DUPLEX_SIMPLEX'

=item * 'horizontal' / 'GTK_PRINT_DUPLEX_HORIZONTAL'

=item * 'vertical' / 'GTK_PRINT_DUPLEX_VERTICAL'

=back

=head2 enum Gtk2::PrintOperationAction

=over

=item * 'print-dialog' / 'GTK_PRINT_OPERATION_ACTION_PRINT_DIALOG'

=item * 'print' / 'GTK_PRINT_OPERATION_ACTION_PRINT'

=item * 'preview' / 'GTK_PRINT_OPERATION_ACTION_PREVIEW'

=item * 'export' / 'GTK_PRINT_OPERATION_ACTION_EXPORT'

=back

=head2 enum Gtk2::PrintOperationResult

=over

=item * 'error' / 'GTK_PRINT_OPERATION_RESULT_ERROR'

=item * 'apply' / 'GTK_PRINT_OPERATION_RESULT_APPLY'

=item * 'cancel' / 'GTK_PRINT_OPERATION_RESULT_CANCEL'

=item * 'in-progress' / 'GTK_PRINT_OPERATION_RESULT_IN_PROGRESS'

=back

=head2 enum Gtk2::PrintPages

=over

=item * 'all' / 'GTK_PRINT_PAGES_ALL'

=item * 'current' / 'GTK_PRINT_PAGES_CURRENT'

=item * 'ranges' / 'GTK_PRINT_PAGES_RANGES'

=item * 'selection' / 'GTK_PRINT_PAGES_SELECTION'

=back

=head2 enum Gtk2::PrintQuality

=over

=item * 'low' / 'GTK_PRINT_QUALITY_LOW'

=item * 'normal' / 'GTK_PRINT_QUALITY_NORMAL'

=item * 'high' / 'GTK_PRINT_QUALITY_HIGH'

=item * 'draft' / 'GTK_PRINT_QUALITY_DRAFT'

=back

=head2 enum Gtk2::PrintStatus

=over

=item * 'initial' / 'GTK_PRINT_STATUS_INITIAL'

=item * 'preparing' / 'GTK_PRINT_STATUS_PREPARING'

=item * 'generating-data' / 'GTK_PRINT_STATUS_GENERATING_DATA'

=item * 'sending-data' / 'GTK_PRINT_STATUS_SENDING_DATA'

=item * 'pending' / 'GTK_PRINT_STATUS_PENDING'

=item * 'pending-issue' / 'GTK_PRINT_STATUS_PENDING_ISSUE'

=item * 'printing' / 'GTK_PRINT_STATUS_PRINTING'

=item * 'finished' / 'GTK_PRINT_STATUS_FINISHED'

=item * 'finished-aborted' / 'GTK_PRINT_STATUS_FINISHED_ABORTED'

=back

=head2 flags Gtk2::RecentFilterFlags

=over

=item * 'uri' / 'GTK_RECENT_FILTER_URI'

=item * 'display-name' / 'GTK_RECENT_FILTER_DISPLAY_NAME'

=item * 'mime-type' / 'GTK_RECENT_FILTER_MIME_TYPE'

=item * 'application' / 'GTK_RECENT_FILTER_APPLICATION'

=item * 'group' / 'GTK_RECENT_FILTER_GROUP'

=item * 'age' / 'GTK_RECENT_FILTER_AGE'

=back

=head2 enum Gtk2::RecentSortType

=over

=item * 'none' / 'GTK_RECENT_SORT_NONE'

=item * 'mru' / 'GTK_RECENT_SORT_MRU'

=item * 'lru' / 'GTK_RECENT_SORT_LRU'

=item * 'custom' / 'GTK_RECENT_SORT_CUSTOM'

=back

=head2 enum Gtk2::SensitivityType

=over

=item * 'auto' / 'GTK_SENSITIVITY_AUTO'

=item * 'on' / 'GTK_SENSITIVITY_ON'

=item * 'off' / 'GTK_SENSITIVITY_OFF'

=back

=head2 enum Gtk2::TreeViewGridLines

=over

=item * 'none' / 'GTK_TREE_VIEW_GRID_LINES_NONE'

=item * 'horizontal' / 'GTK_TREE_VIEW_GRID_LINES_HORIZONTAL'

=item * 'vertical' / 'GTK_TREE_VIEW_GRID_LINES_VERTICAL'

=item * 'both' / 'GTK_TREE_VIEW_GRID_LINES_BOTH'

=back

=head2 enum Gtk2::Unit

=over

=item * 'pixel' / 'GTK_UNIT_PIXEL'

=item * 'points' / 'GTK_UNIT_POINTS'

=item * 'inch' / 'GTK_UNIT_INCH'

=item * 'mm' / 'GTK_UNIT_MM'

=back

=head2 enum Gtk2::DragResult

=over

=item * 'success' / 'GTK_DRAG_RESULT_SUCCESS'

=item * 'no-target' / 'GTK_DRAG_RESULT_NO_TARGET'

=item * 'user-cancelled' / 'GTK_DRAG_RESULT_USER_CANCELLED'

=item * 'timeout-expired' / 'GTK_DRAG_RESULT_TIMEOUT_EXPIRED'

=item * 'grab-broken' / 'GTK_DRAG_RESULT_GRAB_BROKEN'

=item * 'error' / 'GTK_DRAG_RESULT_ERROR'

=back

=head2 enum Gtk2::NumberUpLayout

=over

=item * 'lrtb' / 'GTK_NUMBER_UP_LAYOUT_LEFT_TO_RIGHT_TOP_TO_BOTTOM'

=item * 'lrbt' / 'GTK_NUMBER_UP_LAYOUT_LEFT_TO_RIGHT_BOTTOM_TO_TOP'

=item * 'rltb' / 'GTK_NUMBER_UP_LAYOUT_RIGHT_TO_LEFT_TOP_TO_BOTTOM'

=item * 'rlbt' / 'GTK_NUMBER_UP_LAYOUT_RIGHT_TO_LEFT_BOTTOM_TO_TOP'

=item * 'tblr' / 'GTK_NUMBER_UP_LAYOUT_TOP_TO_BOTTOM_LEFT_TO_RIGHT'

=item * 'tbrl' / 'GTK_NUMBER_UP_LAYOUT_TOP_TO_BOTTOM_RIGHT_TO_LEFT'

=item * 'btlr' / 'GTK_NUMBER_UP_LAYOUT_BOTTOM_TO_TOP_LEFT_TO_RIGHT'

=item * 'btrl' / 'GTK_NUMBER_UP_LAYOUT_BOTTOM_TO_TOP_RIGHT_TO_LEFT'

=back

=head2 enum Gtk2::ArrowPlacement

=over

=item * 'both' / 'GTK_ARROWS_BOTH'

=item * 'start' / 'GTK_ARROWS_START'

=item * 'end' / 'GTK_ARROWS_END'

=back

=head2 enum Gtk2::EntryIconPosition

=over

=item * 'primary' / 'GTK_ENTRY_ICON_PRIMARY'

=item * 'secondary' / 'GTK_ENTRY_ICON_SECONDARY'

=back

=head2 flags Gtk2::ToolPaletteDragTargets

=over

=item * 'items' / 'GTK_TOOL_PALETTE_DRAG_ITEMS'

=item * 'groups' / 'GTK_TOOL_PALETTE_DRAG_GROUPS'

=back

=head2 enum Gtk2::FileChooserAction

=over

=item * 'open' / 'GTK_FILE_CHOOSER_ACTION_OPEN'

=item * 'save' / 'GTK_FILE_CHOOSER_ACTION_SAVE'

=item * 'select-folder' / 'GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER'

=item * 'create-folder' / 'GTK_FILE_CHOOSER_ACTION_CREATE_FOLDER'

=back

=head2 enum Gtk2::FileChooserError

=over

=item * 'nonexistent' / 'GTK_FILE_CHOOSER_ERROR_NONEXISTENT'

=item * 'bad-filename' / 'GTK_FILE_CHOOSER_ERROR_BAD_FILENAME'

=item * 'already-exists' / 'GTK_FILE_CHOOSER_ERROR_ALREADY_EXISTS'

=item * 'incomplete-hostname' / 'GTK_FILE_CHOOSER_ERROR_INCOMPLETE_HOSTNAME'

=back

=head2 flags Gtk2::FileFilterFlags

=over

=item * 'filename' / 'GTK_FILE_FILTER_FILENAME'

=item * 'uri' / 'GTK_FILE_FILTER_URI'

=item * 'display-name' / 'GTK_FILE_FILTER_DISPLAY_NAME'

=item * 'mime-type' / 'GTK_FILE_FILTER_MIME_TYPE'

=back

=head2 enum Gtk2::IconThemeError

=over

=item * 'not-found' / 'GTK_ICON_THEME_NOT_FOUND'

=item * 'failed' / 'GTK_ICON_THEME_FAILED'

=back

=head2 flags Gtk2::IconLookupFlags

=over

=item * 'no-svg' / 'GTK_ICON_LOOKUP_NO_SVG'

=item * 'force-svg' / 'GTK_ICON_LOOKUP_FORCE_SVG'

=item * 'use-builtin' / 'GTK_ICON_LOOKUP_USE_BUILTIN'

=item * 'generic-fallback' / 'GTK_ICON_LOOKUP_GENERIC_FALLBACK'

=item * 'force-size' / 'GTK_ICON_LOOKUP_FORCE_SIZE'

=back

=head2 flags Gtk2::UIManagerItemType

=over

=item * 'auto' / 'GTK_UI_MANAGER_AUTO'

=item * 'menubar' / 'GTK_UI_MANAGER_MENUBAR'

=item * 'menu' / 'GTK_UI_MANAGER_MENU'

=item * 'toolbar' / 'GTK_UI_MANAGER_TOOLBAR'

=item * 'placeholder' / 'GTK_UI_MANAGER_PLACEHOLDER'

=item * 'popup' / 'GTK_UI_MANAGER_POPUP'

=item * 'menuitem' / 'GTK_UI_MANAGER_MENUITEM'

=item * 'toolitem' / 'GTK_UI_MANAGER_TOOLITEM'

=item * 'separator' / 'GTK_UI_MANAGER_SEPARATOR'

=item * 'accelerator' / 'GTK_UI_MANAGER_ACCELERATOR'

=item * 'popup-with-accels' / 'GTK_UI_MANAGER_POPUP_WITH_ACCELS'

=back

=head2 enum Gtk2::Gdk::OwnerChange

=over

=item * 'new-owner' / 'GDK_OWNER_CHANGE_NEW_OWNER'

=item * 'destroy' / 'GDK_OWNER_CHANGE_DESTROY'

=item * 'close' / 'GDK_OWNER_CHANGE_CLOSE'

=back

=head2 enum Gtk2::Gdk::PixbufRotation

=over

=item * 'none' / 'GDK_PIXBUF_ROTATE_NONE'

=item * 'counterclockwise' / 'GDK_PIXBUF_ROTATE_COUNTERCLOCKWISE'

=item * 'upsidedown' / 'GDK_PIXBUF_ROTATE_UPSIDEDOWN'

=item * 'clockwise' / 'GDK_PIXBUF_ROTATE_CLOCKWISE'

=back

=head2 enum Gtk2::FileChooserConfirmation

=over

=item * 'confirm' / 'GTK_FILE_CHOOSER_CONFIRMATION_CONFIRM'

=item * 'accept-filename' / 'GTK_FILE_CHOOSER_CONFIRMATION_ACCEPT_FILENAME'

=item * 'select-again' / 'GTK_FILE_CHOOSER_CONFIRMATION_SELECT_AGAIN'

=back

=head2 enum Gtk2::PackDirection

=over

=item * 'ltr' / 'GTK_PACK_DIRECTION_LTR'

=item * 'rtl' / 'GTK_PACK_DIRECTION_RTL'

=item * 'ttb' / 'GTK_PACK_DIRECTION_TTB'

=item * 'btt' / 'GTK_PACK_DIRECTION_BTT'

=back

=head2 enum Gtk2::IconView::DropPosition

=over

=item * 'no-drop' / 'GTK_ICON_VIEW_NO_DROP'

=item * 'drop-into' / 'GTK_ICON_VIEW_DROP_INTO'

=item * 'drop-left' / 'GTK_ICON_VIEW_DROP_LEFT'

=item * 'drop-right' / 'GTK_ICON_VIEW_DROP_RIGHT'

=item * 'drop-above' / 'GTK_ICON_VIEW_DROP_ABOVE'

=item * 'drop-below' / 'GTK_ICON_VIEW_DROP_BELOW'

=back


=head1 SEE ALSO

L<Glib>, L<Glib::Flags>

=head1 AUTHOR

Generated by tools/podifyenums.pl, using Gtk2 compiled against GTK+
version 2.24.6.

=cut
